gpo.zugaina.org

Search Portage & Overlays:

sys-auth/pambase

PAM base configuration files

Screenshots

  • pambase-20201020
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux
    caps debug elogind gnome-keyring minimal mktemp +nullok pam_krb5 pam_ssh +passwdqc pwhistory pwquality securetty selinux +sha512 systemd

    View      Download      Browse     License: MIT   
    Overlay: gentoo (distro)
  • pambase-20201013
    ~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux
    caps debug elogind gnome-keyring minimal mktemp +nullok pam_krb5 pam_ssh +passwdqc pwhistory pwquality securetty selinux +sha512 systemd

    View      Download      Browse     License: MIT   
    Overlay: gentoo (distro)
  • pambase-20150213
    amd64 x86
    consolekit cracklib debug gnome-keyring minimal mktemp +nullok pam_krb5 pam_ssh passwdqc securetty selinux +sha512 systemd

    View      Download      Browse     License: GPL-2   
    Overlay: argent-main (layman)
  • pambase-20120417-r3
    amd64 x86
    consolekit cracklib debug gnome-keyring minimal mktemp pam_krb5 pam_ssh passwdqc selinux +sha512 systemd

    View      Download      Browse     License: GPL-2   
    Overlay: argent-main (layman)

Runtime Dependencies

pambase-20201020

>=sys-libs/pam-1.4.0

elogind?
      ( sys-auth/elogind[pam] )

gnome-keyring?
      ( gnome-base/gnome-keyring[pam] )

mktemp?
      ( sys-auth/pam_mktemp )

pam_krb5?
      ( >=sys-libs/pam-1.4.0 sys-auth/pam_krb5 )

caps?
      ( sys-libs/libcap[pam] )

pam_ssh?
      ( sys-auth/pam_ssh )

passwdqc?
      ( >=sys-auth/passwdqc-1.4.0-r1 )

pwquality?
      ( dev-libs/libpwquality[pam] )

selinux?
      ( sys-libs/pam[selinux] )

sha512?
      ( >=sys-libs/pam-1.4.0 )

systemd?
      ( sys-apps/systemd[pam] )

pambase-20201013

>=sys-libs/pam-1.4.0

elogind?
      ( sys-auth/elogind[pam] )

gnome-keyring?
      ( gnome-base/gnome-keyring[pam] )

mktemp?
      ( sys-auth/pam_mktemp )

pam_krb5?
      ( >=sys-libs/pam-1.4.0 sys-auth/pam_krb5 )

caps?
      ( sys-libs/libcap[pam] )

pam_ssh?
      ( sys-auth/pam_ssh )

passwdqc?
      ( >=sys-auth/passwdqc-1.4.0-r1 )

pwquality?
      ( dev-libs/libpwquality[pam] )

selinux?
      ( sys-libs/pam[selinux] )

sha512?
      ( >=sys-libs/pam-1.4.0 )

systemd?
      ( sys-apps/systemd[pam] )

pambase-20150213

||

      ( >=sys-libs/pam-1.1.3
            ( sys-auth/openpam ||
                  ( sys-freebsd/freebsd-pam-modules sys-netbsd/netbsd-pam-modules )
             )
       )

consolekit?
      ( >=sys-auth/consolekit-0.4.6[pam] )

cracklib?
      ( sys-libs/pam[cracklib] )

gnome-keyring?
      ( >=gnome-base/gnome-keyring-2.32[pam] )

mktemp?
      ( sys-auth/pam_mktemp )

pam_krb5?
      ( ||
            ( >=sys-libs/pam-1.1.3 sys-auth/openpam )
       >=sys-auth/pam_krb5-4.3 )

pam_ssh?
      ( sys-auth/pam_ssh )

passwdqc?
      ( >=sys-auth/pam_passwdqc-1.0.4 )

selinux?
      ( sys-libs/pam[selinux] )

sha512?
      ( >=sys-libs/pam-1.1.3 )

systemd?
      ( >=sys-apps/systemd-204[pam] )

!<sys-apps/shadow-4.1.5-r1
!<sys-freebsd/freebsd-pam-modules-6.2-r1
!<sys-libs/pam-0.99.9.0-r1

pambase-20120417-r3

||

      ( >=sys-libs/pam-1.1.3
            ( sys-auth/openpam ||
                  ( sys-freebsd/freebsd-pam-modules sys-netbsd/netbsd-pam-modules )
             )
       )

consolekit?
      ( >=sys-auth/consolekit-0.4.5_p2012[pam] )

cracklib?
      ( >=sys-libs/pam-1.1.3[cracklib] )

gnome-keyring?
      ( >=gnome-base/gnome-keyring-2.32[pam] )

mktemp?
      ( sys-auth/pam_mktemp )

pam_krb5?
      ( ||
            ( >=sys-libs/pam-1.1.3 sys-auth/openpam )
       >=sys-auth/pam_krb5-4.3 )

pam_ssh?
      ( sys-auth/pam_ssh )

passwdqc?
      ( >=sys-auth/pam_passwdqc-1.0.4 )

selinux?
      ( >=sys-libs/pam-1.1.3[selinux] )

sha512?
      ( >=sys-libs/pam-1.1.3 )

systemd?
      ( >=sys-apps/systemd-44-r1[pam] )

!<sys-apps/shadow-4.1.5-r1
!<sys-freebsd/freebsd-pam-modules-6.2-r1
!<sys-libs/pam-0.99.9.0-r1